%define name perl-XML-Dumper
%define module	XML-Dumper
%define version	0.4
%define release	3mdk

Summary:	Perl module for dumping Perl objects from/to XML
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Distribution:	Mandrake Linux
Group:		Development/Perl
Source0:	http://www.cpan.org/authors/id/E/EI/EISEN/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Prefix:		%{_prefix}
Requires:	perl >= 5.600 perl-XML-Parser
BuildArch: 	noarch

%description
Perl module for dumping Perl objects from/to XML

Needed by eGrail

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc README Changes
%{_libdir}/perl5/man/man3
%{_libdir}/perl5/site_perl/5.6.1/XML/
%{perl_sitearch}/auto/XML

%changelog
* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-3mdk
- Fixed an error in changelog.

* Thu Jun 21 2001 Christian Belisle <cbelisle@mandrakesoft.com> 0.4-2mdk
- Clean up spec.
- Fixed distribution tag.
- Needed by eGrail.

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 0.4-1mdk
- Newly introduced for Foomatic.

